/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1998, William Chia-Wei Cheng.
 *
 * Permission limited to the use, copy, display, distribute without
 * charging for a fee, and produce derivative works of "tgif" and
 * its documentation for not-for-profit purpose is hereby granted by
 * the Author, provided that the above copyright notice appears in
 * all copies made of "tgif" and that both the copyright notice
 * and this permission notice appear in supporting documentation,
 * and that the name of the Author not be used in advertising or
 * publicity pertaining to distribution of the software without
 * specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any
 * purpose.  It is provided "as is" without express or implied
 * warranty.  All other rights (including, but not limited to, the
 * right to sell "tgif", the right to sell derivative works of
 * "tgif", the right to distribute "tgif" for a fee, and the
 * right to include "tgif" in a for-sale product) are reserved
 * by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT
 * OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /mm/src/tgif/v4/export-filters/bar/RCS/bar.e,v 4.0 1999/01/04 19:00:23 william Exp $
 */

#ifndef _BAR_E_
#define _BAR_E_

#define THIS_EXPORT_FILTER_NAME       "BAR"
#define THIS_COLOR_EXPORT_FILTER_NAME "BAR"
#define THIS_BW_EXPORT_FILTER_NAME    "BAR"

#define THIS_COLOR_EXPORT_FILTER_EXT  "cba"
#define THIS_BW_EXPORT_FILTER_EXT     "mba"

extern long Bar_Init ARGS_DECL((void));
extern long Bar_CleanUp ARGS_DECL((void));
extern long Bar_GetProtocolVersion ARGS_DECL((void));
extern long Bar_Load ARGS_DECL((
                TGEF_USER_INFO *ppUserInfo,
                TgEFProtocolInfo_1 *pProtocolInfo_1));
extern long Bar_UnLoad ARGS_DECL((TGEF_USER_INFO pTgEFUserInfo));

extern long Bar_DoExport ARGS_DECL((
                TGEF_USER_INFO pTgEFUserInfo,
                TgEFProtocolInfo_1 *pProtocolInfo_1));

#endif /*_BAR_E_*/
